{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MDUE_LIBELLE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = MDEC_LIBELLE; }; 
            name = mdueLibelle; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MUE_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = MEC_KEY; }; 
            name = mueKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mueKey); 
    className = EOGenericRecord; 
    classProperties = (mueKey, mdueLibelle, fannKey, toScolFormationAnnee, toScolMaquetteUe); 
    externalName = SCOL_MAQUETTE_TRADUCTION_UE; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteTraductionUe; 
    primaryKeyAttributes = (mueKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteUe; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mueKey; sourceAttribute = mueKey; }); 
            name = toScolMaquetteUe; 
        }
    ); 
}
